JsonAutoDetect.Visibility (Jackson-annotations 2.0.0 API)
Date: 2012-03-26

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.fasterxml.jackson.annotation
Enum JsonAutoDetect.Visibility

    java.lang.Object
      java.lang.Enum<JsonAutoDetect.Visibility>
          com.fasterxml.jackson.annotation.JsonAutoDetect.Visibility

All Implemented Interfaces:
  Serializable, Comparable<JsonAutoDetect.Visibility>

Enclosing class:
  JsonAutoDetect

    public static enum JsonAutoDetect.Visibility

extends Enum<JsonAutoDetect.Visibility>

Enumeration for possible visibility thresholds (minimum visibility) that can be used to limit which methods (and fields) are auto-detected.

Enum Constant Summary
`ANY` Value that means that all kinds of access modifiers are acceptable, from private to public.
`DEFAULT` Value that indicates that default visibility level (whatever it is, depends on context) is to be used.
`NON_PRIVATE` Value that means that any other access modifier other than 'private' is considered auto-detectable.
`NONE` Value that indicates that no access modifiers are auto-detectable: this can be used to explicitly disable auto-detection for specified types.
`PROTECTED_AND_PUBLIC` Value that means access modifiers 'protected' and 'public' are auto-detectable (and 'private' and "package access" == no modifiers are not)
`PUBLIC_ONLY` Value to indicate that only 'public' access modifier is considered auto-detectable.

Method Summary
`boolean` | `isVisible(Member m)`
`static JsonAutoDetect.Visibility` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JsonAutoDetect.Visibility[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ANY

    public static final JsonAutoDetect.Visibility ANY

  Value that means that all kinds of access modifiers are acceptable, from private to public.

### NON_PRIVATE

    public static final JsonAutoDetect.Visibility NON_PRIVATE

  Value that means that any other access modifier other than 'private' is considered auto-detectable.

### PROTECTED_AND_PUBLIC

    public static final JsonAutoDetect.Visibility PROTECTED_AND_PUBLIC

  Value that means access modifiers 'protected' and 'public' are auto-detectable (and 'private' and "package access" == no modifiers are not)

### PUBLIC_ONLY

    public static final JsonAutoDetect.Visibility PUBLIC_ONLY

  Value to indicate that only 'public' access modifier is considered auto-detectable.

### NONE

    public static final JsonAutoDetect.Visibility NONE

  Value that indicates that no access modifiers are auto-detectable: this can be used to explicitly disable auto-detection for specified types.

### DEFAULT

    public static final JsonAutoDetect.Visibility DEFAULT

  Value that indicates that default visibility level (whatever it is, depends on context) is to be used. This usually means that inherited value (from parent visibility settings) is to be used.

Method Detail

### values

    public static JsonAutoDetect.Visibility[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JsonAutoDetect.Visibility c : JsonAutoDetect.Visibility.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JsonAutoDetect.Visibility valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### isVisible

    public boolean isVisible(Member m)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 fasterxml.com. All Rights Reserved.